# MaverickV2BoostedPositionStatic

**Inherits:** [ImmutableArrayGetter](/technical-reference/maverick-v2/v2-contracts/maverick-v2-supplemental-contracts/boostedpositionbase/immutablearraygetter.md), [IMaverickV2BoostedPosition](/technical-reference/maverick-v2/v2-contracts/maverick-v2-supplemental-contracts/interfaces/imaverickv2boostedposition.md), [BoostedPositionBase](/technical-reference/maverick-v2/v2-contracts/maverick-v2-supplemental-contracts/boostedpositionbase/boostedpositionbase.md)

BoostedPosition for static-mode Maverick V2 AMM liquidity positions. This contract inherits ERC20 and a given user's BP balance represents their pro rata position in the boosted position.

### Functions <a href="#functions" id="functions"></a>

#### constructor <a href="#constructor" id="constructor"></a>

Constructor does not do any validation of input parameters. This contract is meant to be deployed by a factory contract and that factory contract should perform parameter validations.

```solidity
constructor(
    string memory name_,
    string memory symbol_,
    IMaverickV2Pool pool_,
    uint8 binCount_,
    bytes32[3] memory binData,
    bytes32[12] memory ratioData
) BoostedPositionBase(name_, symbol_, pool_, 0, binCount_) ImmutableArrayGetter(binCount_, binData, ratioData);
```

#### mint <a href="#mint" id="mint"></a>

Mints BP LP position to recipient. User has to add liquidity to BP contract before making this call as this mint function simply assigns any new liquidity that this BP possesses in the pool to the recipient. Accordingly, this function should only be called in the same transaction where liquidity has been added to a pool as part of a multicall or through a router/manager contract.

```solidity
function mint(address recipient) public returns (uint256 deltaSupply);
```

#### burn <a href="#burn" id="burn"></a>

Burns BP LP positions and redeems the underlying A/B token to the recipient.

```solidity
function burn(address recipient, uint256 amount) public returns (uint256 tokenAOut, uint256 tokenBOut);
```

#### migrateBinLiquidityToRoot <a href="#migratebinliquiditytoroot" id="migratebinliquiditytoroot"></a>

Migrates all underlying movement-mode liquidity from a merged bin to the active parent of the merged bin. For Static BPs, this function is a no-op and never needs to be called.

```solidity
function migrateBinLiquidityToRoot() public pure;
```

#### getTicks <a href="#getticks" id="getticks"></a>

Array of ticks where the underlying BP liquidity exists.

```solidity
function getTicks() public view returns (int32[] memory ticks);
```

#### getBinIds <a href="#getbinids" id="getbinids"></a>

Array of BP binIds.

```solidity
function getBinIds() public view returns (uint32[] memory);
```

#### getRatios <a href="#getratios" id="getratios"></a>

Array of relative pool bin LP balance of the bins in the BP.

```solidity
function getRatios() public view returns (uint128[] memory);
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mav.xyz/technical-reference/maverick-v2/v2-contracts/maverick-v2-supplemental-contracts/maverickv2boostedpositionstatic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
